Get GRC Control
curl --request GET \
--url https://api.leen.dev/v1/grc/controls/{control_id} \
--header 'X-API-KEY: <api-key>' \
--header 'X-CONNECTION-ID: <api-key>'import requests
url = "https://api.leen.dev/v1/grc/controls/{control_id}"
headers = {
"X-API-KEY": "<api-key>",
"X-CONNECTION-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<api-key>', 'X-CONNECTION-ID': '<api-key>'}
};
fetch('https://api.leen.dev/v1/grc/controls/{control_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"control_objective": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "NEW",
"vendor_attributes": {
"id": "<string>",
"vendor": "<string>",
"data": {}
},
"category": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"entity": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>",
"vendor_attributes": {
"id": "<string>",
"vendor": "<string>",
"data": {}
},
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"template_id": "<string>",
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Controls
Get GRC Control
Get a specific GRC control by its ID.
GET
/
grc
/
controls
/
{control_id}
Get GRC Control
Path Parameters
Response
Successful Response
Response model for returning GRC control details via an API endpoint.
The objective this control aims to achieve
Leen's UUID for the GRC control
Control name
Current status of the control
Available options:
NEW, PENDING, REVIEW, NOT APPLICABLE, RETIRED, IMPLEMENTED Vendor-specific attributes and identifiers
Show child attributes
Show child attributes
Category grouping for the control
Timestamp when the control was created
Detailed description of the control
Associated GRC entity details
Show child attributes
Show child attributes
Template identifier for the control
Type or classification of the control
Timestamp when the control was last updated